<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>A simple calculator</title>
    <style>
          form{
              width: 300px;
              padding:50px 0 50px 80px;
              margin: auto;
              background-color: darkcyan;

          }

    </style>
</head>
<body>

<form action="#">
    <label for="number1"> Enter 1st Number: </label> <br>
    <input type="text" id="number1" name="number1" value=""> <br>

    <label for="number2"> Enter 2nd Number : </label> <br>
    <input type="text" id="number2" name="number2" value=""> <br>

    <button type="button" onclick="additionBy()">Addition</button>
    <button type="button" onclick="substructBy()">Substruction</button>

    <div id="result">  </div>

</form>


<script>
    function additionBy(){
          num1 = document.getElementById("number1").value;
          num2 = document.getElementById("number2").value;

          document.getElementById("result").innerHTML =   Number(num1)+ Number(num2);

    }

    function substructBy(){
        num1 = document.getElementById("number1").value;
        num2 = document.getElementById("number2").value;

        document.getElementById("result").innerHTML =   Number(num1) - Number(num2);

    }

</script>

</body>
</html>